> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Load Inventory

> Loads bin inventory for designated bins



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/bin/loadInventory
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/bin/loadInventory:
    post:
      tags:
        - InventoryBin
      summary: Load Inventory
      description: Loads bin inventory for designated bins
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/LoadBinInventoryRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoadBinInventoryResponse'
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    LoadBinInventoryRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LoadBinInventoryRequest'
      description: Request to load bin inventory
      required: true
  schemas:
    LoadBinInventoryResponse:
      description: Response object for loading bin inventory
      properties:
        binQuantities:
          description: List of new bin product quantities
          items:
            $ref: '#/components/schemas/BinProductQuantities'
          type: array
        binsCreated:
          description: Names of created bins
          items:
            type: string
          type: array
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        productsCreated:
          description: List of products created
          items:
            $ref: '#/components/schemas/InventoryProduct'
          type: array
        success:
          description: Flag for success
          type: boolean
        unitsAdded:
          description: Number of units added
          type: integer
        unitsRemoved:
          description: Number of removed units
          type: integer
      title: Load Bin Inventory Response
      type: object
    LoadBinInventoryRequest:
      description: Request needed for loading bin inventory
      properties:
        bins:
          description: List of bins and their associated product quantities
          items:
            $ref: '#/components/schemas/BinProductQuantities'
          type: array
        dryRun:
          description: Flag for dry runs
          type: boolean
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Load Bin Inventory Request
      type: object
    BinProductQuantities:
      description: A bin and its associated products and quantities
      properties:
        binName:
          description: Name of the bin
          type: string
        products:
          description: List of ProductQuantities - Products with their associated quantity
          items:
            $ref: '#/components/schemas/ProductQuantity'
          type: array
      title: Bin Product Quantities
      type: object
    InventoryProduct:
      description: Product within a bin
      properties:
        partNumber:
          description: Part Number
          type: string
        sku:
          description: SKU
          type: string
        upc:
          description: UPC
          type: string
      title: Product
      type: object
    ProductQuantity:
      description: A product and its associated quantity
      properties:
        allocated:
          description: Amount of product allocated
          type: integer
        auditID:
          description: Audit ID
          type: integer
        auditProductID:
          description: Audit Product ID
          type: integer
        available:
          description: Amount of product available
          type: integer
        binID:
          description: ID of associated bin
          type: integer
        binStatusID:
          description: Bin Status ID
          type: integer
        binTypeID:
          description: Bin Type ID
          type: integer
        floor:
          description: >-
            Absolute minimum quantity of this item that should be in stock at
            any time
          type: integer
        inventoryID:
          description: Inventory ID
          type: integer
        locationID:
          description: Location Identifier of the owning location
          type: integer
        ltd:
          description: Custom field used for store prioritization
          type: integer
        name:
          description: Name of the product
          type: string
        onHand:
          description: Amount of product on hand
          type: integer
        partNumber:
          description: Part Number
          type: string
        pending:
          description: Amount of product pending
          type: integer
        quantity:
          description: Quantity of product
          type: integer
        safetystock:
          description: >-
            Quantity of this item the location wants to keep in stock to ensure
            stock isn't completely depleted
          type: integer
        sku:
          description: SKU
          type: string
        tags:
          $ref: '#/components/schemas/tags'
        tenantLocProductID:
          description: Tenant Location Product ID
          type: integer
        upc:
          description: UPC
          type: string
      title: Product Quantities
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````